Name:           perl-Algorithm-NaiveBayes
Version:        0.04
Release:        3%{?dist}
Summary:        Bayesian prediction of categories

# There is no license file included with the sources, I asked upstream for one:
#    https://rt.cpan.org/Public/Bug/Display.html?id=79560
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Algorithm-NaiveBayes/

Source0:        http://www.cpan.org/authors/id/K/KW/KWILLIAMS/Algorithm-NaiveBayes-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(Module::Build)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements the classic "Naive Bayes" machine learning
algorithm. It is a well-studied probabilistic algorithm often used in
automatic text categorization. Compared to other algorithms (kNN, SVM,
Decision Trees), it's pretty fast and reasonably competitive in the quality
of its results.


%prep
%setup -q -n Algorithm-NaiveBayes-%{version}


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes
%{_mandir}/man3/Algorithm::NaiveBayes.3pm*
%{perl_vendorlib}/Algorithm


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Sep 11 2012 Mathieu Bridon <bochecha@fedoraproject.org> - 0.04-2
- Fix issues based on Michael's and Ralf's review feedback:
  - Properly own the installed directories
  - Ask upstream to add a license file in their next release:
    https://rt.cpan.org/Public/Bug/Display.html?id=79560

* Mon Aug 20 2012 Mathieu Bridon <bochecha@fedoraproject.org> 0.04-1
- Initial package, with help from cpanspec.
